I am not able to install openstack-nova-compute in compute node [closed]

asked 2015-01-22 03:06:04 -0500

Sunil Jaiswal gravatar image

updated 2015-01-22 07:37:45 -0500

dbaxps gravatar image

Hi,

while installing I get this error, Please help. I have 3 hyperv vm with centos7 installed.I was able to do the configuration AS-IS mention in openstack installation guide but I move to compute node for installing yum install openstack-nova-compute sysfsutils.It doesn't get installed.Please help

Error: Package: python-oslo-messaging-1.4.1-2.el7.centos.noarch (openstack-juno)
           Requires: python-kombu
Error: Package: openstack-nova-common-2014.2.1-1.el7.centos.noarch (openstack-juno)
           Requires: python-posix_ipc
Error: Package: 1:python-glanceclient-0.14.2-2.el7.centos.noarch (openstack-juno)
           Requires: python-warlock
Error: Package: 1:python-novaclient-2.20.0-1.el7.centos.noarch (openstack-juno)
           Requires: python-keyring
Error: Package: python-nova-2014.2.1-1.el7.centos.noarch (openstack-juno)
           Requires: python-routes
Error: Package: python-cinderclient-1.1.1-1.el7.centos.noarch (openstack-juno)
           Requires: python-simplejson
Error: Package: python-nova-2014.2.1-1.el7.centos.noarch (openstack-juno)
           Requires: python-iso8601
Error: Package: python-oslo-db-1.0.2-2.el7.centos.noarch (openstack-juno)
           Requires: python-iso8601
Error: Package: python-oslo-utils-1.0.0-1.el7.centos.noarch (openstack-juno)
           Requires: python-iso8601
Error: Package: 1:python-keystoneclient-0.11.1-1.el7.centos.noarch (openstack-juno)
           Requires: python-keyring
Error: Package: python-oslo-messaging-1.4.1-2.el7.centos.noarch (openstack-juno)
           Requires: python-qpid
Error: Package: 1:python-novaclient-2.20.0-1.el7.centos.noarch (openstack-juno)
           Requires: python-iso8601
Error: Package: python-neutronclient-2.3.9-1.el7.centos.noarch (openstack-juno)
           Requires: python-simplejson
Error: Package: python-nova-2014.2.1-1.el7.centos.noarch (openstack-juno)
           Requires: python-paste-deploy
Error: Package: python-oslo-messaging-1.4.1-2.el7.centos.noarch (openstack-juno)
           Requires: python-iso8601
Error: Package: 1:python-glanceclient-0.14.2-2.el7.centos.noarch (openstack-juno)
           Requires: python-httplib2
Error: Package: python-nova-2014.2.1-1.el7.centos.noarch (openstack-juno)
           Requires: python-anyjson
Error: Package: 1:python-novaclient-2.20.0-1.el7.centos.noarch (openstack-juno)
           Requires: python-simplejson
Error: Package: python-oslo-vmware-0.6.0-1.el7.centos.noarch (openstack-juno)
           Requires: python-iso8601
Error: Package: 1:python-keystoneclient-0.11.1-1.el7.centos.noarch (openstack-juno)
           Requires: python-iso8601 >= 0.1.4
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
edit retag flag offensive reopen merge delete

Closed for the following reason duplicate question by dbaxps
close date 2015-01-22 07:38:46.172915